#include <stdint.h>

typedef uint8_t byte;

class HCSR04_c{
  public:
    void begin(byte trig, byte* echos, byte ecnt);
    double* measureDistanceCm();
};

extern HCSR04_c HCSR04;

int couloir(void);
int rotCouloir(int dir);